C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Forms.CreateAsync(
new CreateFormRequestContent {
Name = "name"
}
);
}
}package example
import (
context "context"
management "github.com/auth0/go-auth0/management/management"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &management.CreateFormRequestContent{
Name: "name",
}
client.Forms.Create(
context.TODO(),
request,
)
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.forms.requests.CreateFormRequestContent;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.forms().create(
CreateFormRequestContent
.builder()
.name("name")
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\Forms\Requests\CreateFormRequestContent;
$client = new Management(
token: '<token>',
);
$client->forms->create(
new CreateFormRequestContent([
'name' => 'name',
]),
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.forms.create(
name="name",
)require "auth0"
client = Auth0::Management.new(token: "<token>")
client.forms.create(name: "name")import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.forms.create({
name: "name",
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.forms.create({
name: "name",
});
}
main();curl --request POST \
--url https://{tenantDomain}/api/v2/forms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"messages": {
"errors": {},
"custom": {}
},
"languages": {
"primary": "<string>",
"default": "<string>"
},
"translations": {},
"nodes": [
{
"id": "<string>",
"type": "FLOW",
"config": {
"flow_id": "<string>",
"next_node": "<string>"
},
"alias": "<string>"
}
],
"start": {
"hidden_fields": [
{
"key": "<string>",
"value": "<string>"
}
],
"next_node": "<string>"
},
"ending": {
"after_submit": {
"flow_id": "<string>"
},
"resume_flow": true
},
"style": {
"css": "<string>"
}
}
'{
"id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"messages": {
"errors": {},
"custom": {}
},
"languages": {
"primary": "<string>",
"default": "<string>"
},
"translations": {},
"nodes": [
{
"id": "<string>",
"type": "FLOW",
"config": {
"flow_id": "<string>",
"next_node": "<string>"
},
"coordinates": {
"x": 0,
"y": 0
},
"alias": "<string>"
}
],
"start": {
"hidden_fields": [
{
"key": "<string>",
"value": "<string>"
}
],
"next_node": "<string>",
"coordinates": {
"x": 0,
"y": 0
}
},
"ending": {
"redirection": {
"target": "<string>",
"delay": 5
},
"after_submit": {
"flow_id": "<string>"
},
"coordinates": {
"x": 0,
"y": 0
},
"resume_flow": true
},
"style": {
"css": "<string>"
},
"embedded_at": "2023-12-25",
"submitted_at": "2023-12-25"
}Create a form
POST
https://{tenantDomain}/api/v2
/
forms
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Forms.CreateAsync(
new CreateFormRequestContent {
Name = "name"
}
);
}
}package example
import (
context "context"
management "github.com/auth0/go-auth0/management/management"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &management.CreateFormRequestContent{
Name: "name",
}
client.Forms.Create(
context.TODO(),
request,
)
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.forms.requests.CreateFormRequestContent;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.forms().create(
CreateFormRequestContent
.builder()
.name("name")
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\Forms\Requests\CreateFormRequestContent;
$client = new Management(
token: '<token>',
);
$client->forms->create(
new CreateFormRequestContent([
'name' => 'name',
]),
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.forms.create(
name="name",
)require "auth0"
client = Auth0::Management.new(token: "<token>")
client.forms.create(name: "name")import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.forms.create({
name: "name",
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.forms.create({
name: "name",
});
}
main();curl --request POST \
--url https://{tenantDomain}/api/v2/forms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"messages": {
"errors": {},
"custom": {}
},
"languages": {
"primary": "<string>",
"default": "<string>"
},
"translations": {},
"nodes": [
{
"id": "<string>",
"type": "FLOW",
"config": {
"flow_id": "<string>",
"next_node": "<string>"
},
"alias": "<string>"
}
],
"start": {
"hidden_fields": [
{
"key": "<string>",
"value": "<string>"
}
],
"next_node": "<string>"
},
"ending": {
"after_submit": {
"flow_id": "<string>"
},
"resume_flow": true
},
"style": {
"css": "<string>"
}
}
'{
"id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"messages": {
"errors": {},
"custom": {}
},
"languages": {
"primary": "<string>",
"default": "<string>"
},
"translations": {},
"nodes": [
{
"id": "<string>",
"type": "FLOW",
"config": {
"flow_id": "<string>",
"next_node": "<string>"
},
"coordinates": {
"x": 0,
"y": 0
},
"alias": "<string>"
}
],
"start": {
"hidden_fields": [
{
"key": "<string>",
"value": "<string>"
}
],
"next_node": "<string>",
"coordinates": {
"x": 0,
"y": 0
}
},
"ending": {
"redirection": {
"target": "<string>",
"delay": 5
},
"after_submit": {
"flow_id": "<string>"
},
"coordinates": {
"x": 0,
"y": 0
},
"resume_flow": true
},
"style": {
"css": "<string>"
},
"embedded_at": "2023-12-25",
"submitted_at": "2023-12-25"
}Autorisations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corps
application/jsonapplication/x-www-form-urlencoded
Required string length:
1 - 150Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Réponse
Form successfully created.
Maximum string length:
30Required string length:
1 - 150Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Cette page vous a-t-elle été utile ?
⌘I